package com.gic.haoban.manage.api.dto.qdto.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.gic.commons.web.qo.PageQo;

public class GroupChatSearchQDTO extends PageQo implements Serializable {

    private static final long serialVersionUID = 7983127960892502325L;

    private Date startDate;
    private Date endDate;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String searchParams;
    // 群状态 0跟进人正常1跟进人离职2离职继承中 4已解散
    private Integer status = 0;
    private Date dismissStartDate;
    private Date dismissEndDate;
    // 群主列表
    private List<String> staffIdList;
    private String staffId ;
    private int gicFlag = 1 ;
    private Long chatHmId ;
    // 查询活码关联是否包含下线的1是0否
    private int includeOff ;
    private List<Long> groupChatIdList ;
    private String sortColumn ;
    private String sortType = "desc" ;
    // 0全部 1未满200 2已满200
    private Integer hmAddStatus ;
    private String departmentId ;
    private List<String> departmentIdList ; 
    // 筛选激活或者开启联系我的群主
    private Integer canUseFlag ;
    private String wxChatId ;
    private String searchPage ;
    
    public String getSearchPage() {
        return searchPage;
    }

    public void setSearchPage(String searchPage) {
        this.searchPage = searchPage;
    }

    public String getWxChatId() {
        return wxChatId;
    }

    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }

    public int getIncludeOff() {
        return includeOff;
    }

    public void setIncludeOff(int includeOff) {
        this.includeOff = includeOff;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public List<String> getDepartmentIdList() {
        return departmentIdList;
    }

    public Integer getCanUseFlag() {
        return canUseFlag;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public void setDepartmentIdList(List<String> departmentIdList) {
        this.departmentIdList = departmentIdList;
    }

    public void setCanUseFlag(Integer canUseFlag) {
        this.canUseFlag = canUseFlag;
    }

    public Integer getHmAddStatus() {
        return hmAddStatus;
    }

    public void setHmAddStatus(Integer hmAddStatus) {
        this.hmAddStatus = hmAddStatus;
    }

    public List<Long> getGroupChatIdList() {
        return groupChatIdList;
    }

    public void setGroupChatIdList(List<Long> groupChatIdList) {
        this.groupChatIdList = groupChatIdList;
    }

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public int getGicFlag() {
        return gicFlag;
    }

    public void setGicFlag(int gicFlag) {
        this.gicFlag = gicFlag;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public Date getDismissStartDate() {
        return dismissStartDate;
    }

    public Date getDismissEndDate() {
        return dismissEndDate;
    }

    public List<String> getStaffIdList() {
        return staffIdList;
    }

    public void setDismissStartDate(Date dismissStartDate) {
        this.dismissStartDate = dismissStartDate;
    }

    public void setDismissEndDate(Date dismissEndDate) {
        this.dismissEndDate = dismissEndDate;
    }

    public void setStaffIdList(List<String> staffIdList) {
        this.staffIdList = staffIdList;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

}
